<!DOCTYPE html>
<html>
<head>
    <title>前端表单示例</title>
    <style>
        body {
            text-align: center;
            font-family: Arial, sans-serif;
        }
        h1 {
            color: #333;
        }
        #myForm {
            display: inline-block;
            text-align: left;
            padding: 20px;
            border: 1px solid #ccc;
            border-radius: 5px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }
        label {
            font-weight: bold;
        }
        input[type="text"] {
            width: 200px;
            padding: 5px;
            border: 1px solid #ccc;
            border-radius: 3px;
        }
        button[type="submit"] {
            background-color: #0074D9;
            color: #fff;
            border: none;
            border-radius: 3px;
            padding: 5px 10px;
            cursor: pointer;
        }
        button[type="submit"]:hover {
            background-color: #0056b3;
        }
        #responseDiv {
            margin-top: 20px;
            font-weight: bold;
        }
    </style>
</head>
<body>
    <h1>某示例</h1>
    
    <form id="myForm">
        <label for="inputField">输入：</label>
        <input type="text" id="inputField" name="inputField">
        <button type="submit">提交</button>
    </form>

    <div id="responseDiv"></div>

    <script>
        document.addEventListener('DOMContentLoaded', function() {
            const form = document.getElementById('myForm');
            const inputField = document.getElementById('inputField');
            const responseDiv = document.getElementById('responseDiv');

            form.addEventListener('submit', function(event) {
                event.preventDefault();  // 阻止默认的表单提交行为

                const inputValue = inputField.value.trim();
                if (inputValue) {
                    // 向后端发送POST请求
                    fetch('/query', {
                        method: 'POST',
                        body: JSON.stringify({ query: inputValue }),
                        headers: {
                            'Content-Type': 'application/json'
                        }
                    }).then(response => {
                        if (!response.ok) {
                            throw new Error('网络请求失败');
                        }
                        return response.json();
		    }).then(data => {
                        // 显示后端响应在页面上
                        responseDiv.innerHTML = `后端响应：${data.message}`;
                    })
                    .catch(error => {
                        console.error('发生错误：', error);
                        responseDiv.innerHTML = '出现错误，请稍后再试。';
                    });
                } else {
                    responseDiv.innerHTML = '输入为空，请输入内容后再提交。';
                }
            });
        });
    </script>
</body>
</html>
